[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TypeInfo

Return pointer to type information for type

## Declaration

Source position: system.fpd line 92

`function TypeInfo(`
`const T: AnyType`
`):Pointer;`

## Description

TypeInfo is a compiler intrinsic: it returns a pointer to the generated type information (RTTI) for the type T. If no type information was yet generated for the type, this statement will ensure that type information is available, i.e. the result is always non-nil.

## See also

Default |  | Return Default initialized value
TypeOf |  | Return pointer to VMT of an object
GetTypeKind |  | Return type kind for a type
Initialize |  | Initialize memory block using RTTI
Finalize |  | Finalize (clean up) memory block using RTTI